import { Component, Host, h, getAssetPath, Prop } from '@stencil/core';
export class UxplEmptyStateSystem {
  render() {
    const errorImage = getAssetPath('assets/empty-state-' + this.type + '.svg');
    return (h(Host, null,
      h("div", { class: "error-image" },
        h("uxpl-icon", { url: errorImage })),
      h("div", { class: "error-message" }, this.message),
      h("div", { class: "error-description" }, this.description)));
  }
  static get is() { return "uxpl-empty-state-system"; }
  static get encapsulation() { return "shadow"; }
  static get originalStyleUrls() { return {
    "$": ["uxpl-empty-state-system.css"]
  }; }
  static get styleUrls() { return {
    "$": ["uxpl-empty-state-system.css"]
  }; }
  static get assetsDirs() { return ["assets"]; }
  static get properties() { return {
    "type": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "string",
        "resolved": "string",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "type",
      "reflect": false
    },
    "message": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "string",
        "resolved": "string",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "message",
      "reflect": false
    },
    "description": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "string",
        "resolved": "string",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "description",
      "reflect": false
    }
  }; }
}
